@rem 给sign目录下的文件签名
@rem ensky 2022-6-17
@set CUR_PATH=%~dp0

@set PFX_NAME=AugustCodeSign.pfx
@set PASSWORD=123456

@cd "%CUR_PATH%"
@if not exist %CUR_PATH%\%PFX_NAME% @(
	@echo "NOT found %PFX_NAME%! Use make_codesign_cert.bat to generate."
	@pause
	@exit /B 2
)

@for %%i in (%CUR_PATH%\sign\*) do @(
	@%CUR_PATH%\tools\signtool.exe sign  /fd SHA256 /v /f %PFX_NAME% /p "%PASSWORD%" %%i
	@rem %CUR_PATH%\tools\signtool.exe sign /v /f %PFX_NAME% /p "%PASSWORD%" /t http://timestamp.digicert.com %%i
	@rem 校验数字签名(需要安装自签证书到系统install_codesign_cert.bat)
	@rem %CUR_PATH%\tools\signtool.exe verify /kp /v %%i
)

@pause