@rem 生成代码签名证书
@rem August 2022-6-17
@set CUR_PATH=%~dp0

@set CERT_NAME=AugustCodeSign.cer
@set KEY_NAME=AugustCodeSign.pvk
@set PFX_NAME=AugustCodeSign.pfx
@set PASSWORD=123456
@set CERTCN_NAME=August CodeSign Root CA

@cd "%CUR_PATH%"
@%CUR_PATH%\tools\makecert.exe /n "CN=%CERTCN_NAME%" /r /eku "1.3.6.1.5.5.7.3.3,1.3.6.1.4.1.311.10.3.13" /sv "%KEY_NAME%" "%CERT_NAME%"
@%CUR_PATH%\tools\pvk2pfx.exe /pvk "%KEY_NAME%" /pi "%PASSWORD%" /spc "%CERT_NAME%" /pfx "%PFX_NAME%"
@copy /Y "%CERT_NAME%" "%CUR_PATH%\install\"

@pause